Class | Chef::Formatters::ErrorInspectors::CookbookSyncErrorInspector
In: | lib/chef/formatters/error_inspectors/cookbook_sync_error_inspector.rb
Parent: | Object

## CookbookSyncErrorInspector

Generates human-friendly explanations for errors encountered during cookbook sync.

### Methods

add_explanation config humanize_http_exception new

### Included Modules

APIErrorFormatting

### Attributes

cookbooks | [R] |
exception | [R] |

### Public Class methods

new(cookbooks, exception)

### Public Instance methods

add_explanation(error_description)
config()
humanize_http_exception(error_description)

[Validate]